Bug 199041 - Mount /proc with nosuid,noexec flags by defaulf
Mount /proc with nosuid,noexec flags by defaulf
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-16 07:42 EDT by Dawid Gajownik
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-26 00:06:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dawid Gajownik 2006-07-16 07:42:57 EDT
Description of problem:
Maybe /proc should be mounted by default with noexec,nosuid flags? This can
increase security in some way.

Steps to Reproduce:
1. grep proc /etc/fstab

Additional info:
http://thread.gmane.org/gmane.linux.gentoo.devel/40511/focus=40511
http://lwn.net/Articles/191531/
Comment 1 Bill Nottingham 2006-07-17 09:49:58 EDT
The initramfs mounts proc. Of course, if this is that important, why not just
set it that way *in the kernel*?
Comment 2 Dave Jones 2006-07-26 00:06:00 EDT
The linux-2.6-defaults-* patches are really starting to pile up.
If you feel strongly about this issue, argue it upstream in
http://bugzilla.kernel.org or linux-kernel@vger.kernel.org

Note You need to log in before you can comment on or make changes to this bug.